This is
http://www.berklix.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/etc/sendmail/freebsd.mc.REL=8.4-RELEASE.diff

See Also:
 http://www.freebsd.org/cgi/query-pr.cgi?pr=174108
 http://lists.freebsd.org/pipermail/freebsd-hackers/2012-December/041333.html
 http://lists.freebsd.org/pipermail/freebsd-bugs/2012-December/051052.html

Needed for 8.2-RELEASE, 8.3-RELEASE, 9.0-RELEASE, 9.1RC3.
Not needed as already applied to: current, 9.1-RELEASE, 9.2-RELEASE, 10.0-ALPHA4 

---------
To: jhs_ERASE_@berklix.com, gshapiro_ERASE@freebsd.org, gshapiro_ERASE@freebsd.org
From: gshapiro@freebsd.org
Date: Sat, 29 Dec 2012 19:59:53 GMT (20:59 CET)
Subject: Re: bin/174108: Missing quote in comment in 8.3 & 9.0 & 9.1RC2 etc/sendmail/freebsd.mc

Synopsis: Missing quote in comment in 8.3 & 9.0 & 9.1RC2 etc/sendmail/freebsd.mc

State-Changed-From-To: open->feedback
State-Changed-By: gshapiro
State-Changed-When: Sat Dec 29 19:59:09 UTC 2012
State-Changed-Why:
Patch committed to HEAD.  State will be set to closed when patch MFC'ed.

http://www.freebsd.org/cgi/query-pr.cgi?pr=174108
---------
Subject: Re: bin/174108: Missing quote in comment in 8.3 & 9.0 & 9.1RC2 etc/sendmail/freebsd.mc
From: gshapiro@freebsd.org
Date: Sun, 30 Dec 2012 15:44:25 GMT (16:44 CET)
To: jhs_ERASE_@berklix.com, gshapiro_ERASE@freebsd.org, gshapiro_ERASE@freebsd.org

Synopsis: Missing quote in comment in 8.3 & 9.0 & 9.1RC2 etc/sendmail/freebsd.mc

State-Changed-From-To: feedback->closed
State-Changed-By: gshapiro
State-Changed-When: Sun Dec 30 15:43:58 UTC 2012
State-Changed-Why:
Change has been MFC'ed to supported branches (7, 8, 9)

http://www.freebsd.org/cgi/query-pr.cgi?pr=174108
---------
*** 9.1-RC3/src/etc/sendmail/freebsd.mc	Tue Dec  4 15:41:28 2012
--- new-generic/src/etc/sendmail/freebsd.mc	Tue Dec  4 15:42:09 2012
***************
*** 69,75 ****
  dnl Uncomment to activate your chosen DNS based blacklist
  dnl FEATURE(dnsbl, `dnsbl.example.com')
  dnl Alternatively, you can provide your own server and rejection message:
! dnl FEATURE(dnsbl, `dnsbl.example.com', ``"550 Mail from " $&{client_addr} " rejected'')
  
  dnl Dialup users should uncomment and define this appropriately
  dnl define(`SMART_HOST', `your.isp.mail.server')
--- 69,75 ----
  dnl Uncomment to activate your chosen DNS based blacklist
  dnl FEATURE(dnsbl, `dnsbl.example.com')
  dnl Alternatively, you can provide your own server and rejection message:
! dnl FEATURE(dnsbl, `dnsbl.example.com', ``"550 Mail from " $&{client_addr} " rejected"'')
  
  dnl Dialup users should uncomment and define this appropriately
  dnl define(`SMART_HOST', `your.isp.mail.server')
---------

http://lists.freebsd.org/pipermail/freebsd-hackers/2012-December/041333.html

{
] To:	hackers@@freebsd.org
] cc: re@@freebsd.org
] Subject: Missing quote in comment in 8.3 & 9.0 & 9.1RC2 etc/sendmail/freebsd.mc
] From:		"Julian H. Stacey" <jhs@@berklix.com>
] Organization: http://www.berklix.com BSD Linux Unix Consultancy, Munich Germany
] Fcc:		sent
] User-agent:	EXMH on FreeBSD http://www.berklix.com/free/
] X-URL:		http://www.berklix.com/~jhs/cv/
] 
] Hi hackers@@freebsd.org
] 
] There is a missing double quote " in 
] 8.3 & 9.0 & 9.1RC2 src/etc/sendmail/freebsd.mc
] 8.2-RELEASE & earlier are OK.
] 
] Here's a diff -c to .mc
] The diff is not to fix it, but to help generate a freebsd.cf to
] understand the difference.  The patch for a fix would befar more trivial :-)
] 
] ------
] *** 9.1-RC3/src/etc/sendmail/freebsd.mc	Mon Oct 29 21:16:44 2012
] --- 9.1-RC3/src+debug/etc/sendmail/freebsdjhs.mc	Mon Dec  3 18:44:33 2012
] ***************
] *** 66,75 ****
]   dnl For that, visit
]   dnl http://www.google.com/Top/Computers/Internet/E-mail/Spam/Blacklists/
]   
] ! dnl Uncomment to activate your chosen DNS based blacklist
] ! dnl FEATURE(dnsbl, `dnsbl.example.com')
] ! dnl Alternatively, you can provide your own server and rejection message:
] ! dnl FEATURE(dnsbl, `dnsbl.example.com', ``"550 Mail from " $&{client_addr} " rejected'')
]   
]   dnl Dialup users should uncomment and define this appropriately
]   dnl define(`SMART_HOST', `your.isp.mail.server')
] --- 66,77 ----
]   dnl For that, visit
]   dnl http://www.google.com/Top/Computers/Internet/E-mail/Spam/Blacklists/
]   
] ! # Uncomment to activate your chosen DNS based blacklist
] ! FEATURE(dnsbl, `jhs0.dnsbl.example.com')
] ! # Alternatively, you can provide your own server and rejection message:
] ! FEATURE(dnsbl, `jhs3.dnsbl.example.com', ``"550 Mail from " $&{client_addr} " rejected'')
] ! # original line above has 3 x " , line below has 4
] ! FEATURE(dnsbl, `jhs4.dnsbl.example.com', ``"550 Mail from " $&{client_addr} " rejected"'')
]   
]   dnl Dialup users should uncomment and define this appropriately
]   dnl define(`SMART_HOST', `your.isp.mail.server')
] ------
] 
] The .cf output is
] ------
] # DNS based IP address spam list jhs0.dnsbl.example.com
] R$*			$: $&{client_addr}
] R$-.$-.$-.$-		$: <?> $(dnsbl $4.$3.$2.$1.jhs0.dnsbl.example.com. $: OK $)
] R<?>OK			$: OKSOFAR
] R<?>$+<TMP>		$: TMPOK
] R<?>$+		$#error $@ 5.7.1 $: "550 Rejected: " $&{client_addr} " listed at jhs0.dnsbl.example.com"
] 
] # DNS based IP address spam list jhs3.dnsbl.example.com
] R$*			$: $&{client_addr}
] R$-.$-.$-.$-		$: <?> $(dnsbl $4.$3.$2.$1.jhs3.dnsbl.example.com. $: OK $)
] R<?>OK			$: OKSOFAR
] R<?>$+<TMP>		$: TMPOK
] R<?>$+		$#error $@ 5.7.1 $: "550 Mail from " $&{client_addr} " rejected
] 
] # DNS based IP address spam list jhs4.dnsbl.example.com
] R$*			$: $&{client_addr}
] R$-.$-.$-.$-		$: <?> $(dnsbl $4.$3.$2.$1.jhs4.dnsbl.example.com. $: OK $)
] R<?>OK			$: OKSOFAR
] R<?>$+<TMP>		$: TMPOK
] R<?>$+		$#error $@ 5.7.1 $: "550 Mail from " $&{client_addr} " rejected"
] ------
] Above, jhs3 seems bad & jhs4 seems good.
] 
] A copy of this diff + follow up is in
] 	http://www.berklix.com/~jhs/src/bsd/fixes/FreeBSD/src/gen/etc/sendmail/freebsd.mc.REL=ALL.diff
] 
] The error appeared in 8.3 & 9.0 & 9.1RC3, it was OK earlier :
] 
] 4.11-RELEASE/src/etc/sendmail/freebsd.mc:dnl FEATURE(dnsbl, `blackholes.mail-abuse.org', `"550 Mail from " $&{client_addr} " rejected, see http://mail-abuse.org/cgi-bin/lookup?" $&{client_addr}')
] 
] 6.4-RELEASE/src/etc/sendmail/freebsd.mc:dnl FEATURE(dnsbl, `blackholes.mail-abuse.org', ``"550 Mail from " $&{client_addr} " rejected, see http://mail-abuse.org/cgi-bin/lookup?" $&{client_addr}'')
] 
] 7.3-RELEASE/src/etc/sendmail/freebsd.mc:dnl FEATURE(dnsbl, `blackholes.mail-abuse.org', ``"550 Mail from " $&{client_addr} " rejected, see http://mail-abuse.org/cgi-bin/lookup?" $&{client_addr}'')
] 
] 7.4-RELEASE/src/etc/sendmail/freebsd.mc:dnl FEATURE(dnsbl, `blackholes.mail-abuse.org', ``"550 Mail from " $&{client_addr} " rejected, see http://mail-abuse.org/cgi-bin/lookup?" $&{client_addr}'')
] 
] 8.2-RELEASE/src/etc/sendmail/freebsd.mc:dnl FEATURE(dnsbl, `blackholes.mail-abuse.org', ``"550 Mail from " $&{client_addr} " rejected, see http://mail-abuse.org/cgi-bin/lookup?" $&{client_addr}'')
] 
] 8.3-RELEASE/src/etc/sendmail/freebsd.mc:dnl FEATURE(dnsbl, `dnsbl.example.com', ``"550 Mail from " $&{client_addr} " rejected'')
] 
] 9.0-RELEASE/src/etc/sendmail/freebsd.mc:dnl FEATURE(dnsbl, `dnsbl.example.com', ``"550 Mail from " $&{client_addr} " rejected'')
] 
] 9.1-RC3//src/etc/sendmail/freebsd.mc:dnl FEATURE(dnsbl, `dnsbl.example.com', ``"550 Mail from " $&{client_addr} " rejected'')
] 
] 
] Why others didnt notice earlier:
]   It's just a comment, I assume not checked by anything automatic at
]   freebsd.org.
] 
] How I caught it:
]   I have my own src/etc/sendmail/ Makefile diffs & fdef'd common.cpp
]   that generates various .mc files for each of my hosts, & many
]   versions, which filters the .cpp to create .mcfiles, inc. a check
]   file that should be an exact match with that version's freebsd.mc
]   ... & cpp complained: unmatched ".
] 
] I will send-pr unless I hear otherwise.
]   But as 9.1-RELEASE is imminent, & it would be a trivial anodyne
]   fix to a comment for re@ , so they want to fix, so cc'd to re@.
] 
] Cheers,
] Julian
] -- 
] Julian H. Stacey, BSD Unix Linux C Sys Eng Consultant, Munich http://www.berklix.com
